﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- ********************************************************************
                                GENERIC ERRORS
       ******************************************************************** -->
  <diagnostic id="DVR.ATO.GEN.000470" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000470</Code>
      <Description>Title is provided without Family Name</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.000411" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000411</Code>
      <Description>Suburb/Town/City cannot contain state code</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.001023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001023</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410038</Code>
      <Description>Non-individual name field cannot start with 'T/A' and end with 'Pship', 'P'ship or 'P/Ship'</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410039</Code>
      <Description>Organisation name must contain at least one alpha or numeric character</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410040</Code>
      <Description>Family name must contain at least one alphabetical character</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410194" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410194</Code>
      <Description>Address Line 1 must not exceed 38 characters</Description>
      <LongDescription>Although SBR sets a limit of 50 characters for the Line 1 of an address, the maximum allowable for this form is 38</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410195" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410195</Code>
      <Description>Address Line 2 must not exceed 38 characters</Description>
      <LongDescription>Although SBR sets a limit of 50 characters for the Line 2 of an address, the maximum allowable for this form is 38</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410200" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000424</Code>
      <Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410201" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000426</Code>
      <Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410202" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000436</Code>
      <Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410203" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000437</Code>
      <Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410204" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000438</Code>
      <Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <diagnostic id="DVR.ATO.GEN.428041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428041</Code>
      <Description>For an Australian address, postcode is invalid. Valid range is 0200 - 9999</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428231" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000422</Code>
      <Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428247" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410009</Code>
      <Description>The Tax Agent number has failed the Tax Agent number algorithm check</Description>
      <LongDescription/>
      <Location>pyid.02.00:Identifiers.TaxAgentNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428253" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200011</Code>
      <Description>Invalid ABN</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428258" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000413</Code>
      <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428259" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000414</Code>
      <Description>Non Individual Name cannot contain "P/L"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428261" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000417</Code>
      <Description>Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428262" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000423</Code>
      <Description>Family Name cannot contain "space hyphen space"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428263" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000427</Code>
      <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428264" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000434</Code>
      <Description>First name cannot contain space hyphen space</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428265" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000439</Code>
      <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.434223" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000477</Code>
      <Description>ABN is invalid</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.436001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436001</Code>
      <Description>An individual's first name must begin with an alpha character in the range 'A to Z' or 'a to z'</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438029" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438039</Code>
      <Description>Entity identifier scheme for Intermediary must be "http://www.abr.gov.au/abn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  

  <diagnostic id="DVR.ATO.GEN.500001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500001</Code>
      <Description>The maximum number of Role Types permitted is 25</Description>
      <LongDescription/>
      <Location>rvctc3.02.17:Tax.RoleType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500003</Code>
      <Description>Complete Individual details are required</Description>
      <LongDescription>For an individual, the following fields must be provided;  "Individual Family name", "Individual First given name", "Sex Code", "Date of Birth" and "Tax File Number".</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500004</Code>
      <Description>Complete Non-individual details are required</Description>
      <LongDescription>For a non-individual, the following fields must be provided; "Non-Individual Name" and "Australian Business Number".</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500086" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500086</Code>
      <Description>Individual and Non-individual details are both present. Only family or non-individual name details may be present.</Description>
      <LongDescription>Only Non-Individual Name must be present for non-individuals, or only Individual Family name, Individual First given name and Date of Birth must be present for individuals</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500009</Code>
      <Description>Reporting Party Tax File Number has failed the algorithm check</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500012</Code>
      <Description>Date of birth must be prior to the form submission start date</Description>
      <LongDescription>The date entered is a future date. Date of birth cannot be any day in advance of the form submission start date.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500013" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500013</Code>
      <Description>Role Type details invalid</Description>
      <LongDescription>The Role Type details are not valid. Valid Role Types are; "IT" - Individual Income Tax Return,  and "AS" - Activity Statement.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500016</Code>
      <Description>Individual Family name must not exceed 30 characters</Description>
      <LongDescription>For Individual Family name, the maximum allowable characters for this form is 30</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500017</Code>
      <Description>Individual First given name must not exceed 15 characters</Description>
      <LongDescription>For Individual First given name, the maximum allowable characters for this form is 15</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500023</Code>
      <Description>Non-Individual Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500024</Code>
      <Description>Individual Family name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500025</Code>
      <Description>Individual First given name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500030</Code>
      <Description>Invalid context. Period start date must be the same across all duration contexts.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500031</Code>
      <Description>Invalid context. Intermediary ABN must not match Reporting Party ABN.</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500032" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500032</Code>
      <Description>Intermediary Tax Agent number must be present for Role Types IT, &#x26; AS</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500034</Code>
      <Description>Invalid context. Period start date must be the same as the Period end date for this form.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500035</Code>
      <Description>Invalid context. Period start date cannot be any day in the future.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.000227" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436280</Code>
      <Description>Invalid context. The number of Intermediary contexts must not exceed 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500038</Code>
      <Description>Intermediary Tax Agent number must be present</Description>
      <LongDescription/>
      <Location>pyid.02.00:Identifiers.TaxAgentNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500039</Code>
      <Description>Address Line 1 must be present</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500040</Code>
      <Description>Role Type must be provided</Description>
      <LongDescription/>
      <Location>rvctc3.02.17:Tax.RoleType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500043" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500043</Code>
      <Description>Deceased Indicator must be set if Date of Death is present</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonDemographicDetails.Deceased.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500048" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500048</Code>
      <Description>Date of death must be prior to the form submission end date</Description>
      <LongDescription>The date entered is a future date. Date of death cannot be any day in advance of the form submission end date.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!-- ********************************************************************
                                CUDTL ERRORS
       ******************************************************************** -->  
  <diagnostic id="DVR.ATO.CUDTL.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUDTL.000001</Code>
      <Description>For a non-individual, the Previous Non-Individual Name must be provided</Description>                   
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUDTL.000006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUDTL.000006</Code>
      <Description>For an individual, the Previous Individual Family name must be provided</Description>                   
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUDTL.000013" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUDTL.000013</Code>
      <Description>Only Non-Individual details are required</Description>
      <LongDescription>For a non-Individual, ensure Individual details are not provided</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUDTL.000019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUDTL.000019</Code>
      <Description>Only Individual details are required</Description>
      <LongDescription>For an Individual, ensure Non-Individual details are not provided</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUDTL.000027" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUDTL.000027</Code>
      <Description>The Deceased Indicator is only applicable for Individuals</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUDTL.000035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUDTL.000035</Code>
      <Description>Entity identifier scheme for ReportingParty Previous must be "http://www.ato.gov.au/tfn"</Description>      
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUDTL.000036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUDTL.000036</Code>
      <Description>Entity identifier scheme for ReportingParty Current must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUDTL.000043" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500004</Code>
      <Description>Complete Non-individual details are required</Description>
      <LongDescription>For a non-individual, the following fields must be provided; "Non-Individual Name" and "Australian Business Number".</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUDTL.000045" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUDTL.000045</Code>
      <Description>Date of Birth must be prior to Date of Death</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUDTL.000051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUDTL.000051</Code>
      <Description>Business intermediaries can only update their organisation name</Description>
      <LongDescription/>
      <Location>pyid.02.00:Identifiers.TaxAgentNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUDTL.000052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUDTL.000052</Code>
      <Description>Current Individual name fields must not be present</Description>
      <LongDescription>Current Individual Family Name, First Given Name, Other Given Name, Title and Suffix must not be present. For this submission, only Title can be updated to "Executor for" when Deceased Indicator is set.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!-- ********************************************************************
                                CUADDR ERRORS
       ******************************************************************** -->

  <diagnostic id="DVR.ATO.CUADDR.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000001</Code>
      <Description>Address line 1 cannot contain "UNKNOWN"</Description>
      <LongDescription>When Address Line One is not known, provide last known, and set Address no longer correct</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000002</Code>
      <Description>Address line 2 cannot contain "UNKNOWN"</Description>
      <LongDescription>When Address Line Two is not known, provide last known, and set Address no longer correct</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000003</Code>
      <Description>Suburb/Town/City cannot contain "UNKNOWN"</Description>
      <LongDescription>When Locality Name is not known, provide last known, and set Address no longer correct</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUADDR.000004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000004</Code>
      <Description>Organisation name must not exceed 38 characters</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000007" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000007</Code>
      <Description>Name field contains all numerics.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000014" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000014</Code>
      <Description>First name field is blank</Description>
      <LongDescription>First name must be supplied</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000019</Code>
      <Description>Australian address details incomplete</Description>
      <LongDescription>For an Australian address, Street name and number, Locality Name, State or Territory Code, and Post Code are required</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000020</Code>
      <Description>Overseas address details incomplete</Description>
      <LongDescription>For an overseas address, only Street name and number, Locality Name, and Country Code are required</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000021" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000021</Code>
      <Description>State and postcode are required for Australian addresses</Description>
      <LongDescription>Street name and number or suburb/town are present in the address field and postcode, State, and country are missing.  Determine whether the address is Australian or overseas and correct accordingly.</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000024</Code>
      <Description>UNKNOWN is not a valid Address</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428036</Code>
      <Description>Invalid State code</Description>
      <LongDescription>The State code in the Current address is not Valid (Valid States are "QLD", "NSW", "VIC", "SA", "WA", "NT", "ACT", "TAS")</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUADDR.000025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430245</Code>
      <Description>Suburb/Town/City must be present in an address</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000031</Code>
      <Description>Telephone number is required, if an area code is provided</Description>
      <LongDescription>Trustee daytime phone number is required when Trustee daytime phone area code is provided</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000033</Code>
      <Description>Telephone numbers must not exceed 15 characters</Description>
      <LongDescription>For Telephone numbers, the maximum allowable characters for this form is 15</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000064" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000064</Code>
      <Description>Address Usage must be present when Address details are present</Description>
      <LongDescription/>
      <Location>pyde.02.01:AddressDetails.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUADDR.000050" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000050</Code>
      <Description>Either Individual or non-individual name must be supplied</Description>
      <LongDescription>Either Individual or non-individual name must be supplied</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000052</Code>
      <Description>Address line one contains invalid text</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000053" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000053</Code>
      <Description>Address line two contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000054" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000054</Code>
      <Description>State, postcode, or country requires checking</Description>
      <LongDescription>Country name is present with State or postcode in the address field.  Determine whether the address is Australian or overseas and correct accordingly.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000055" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000055</Code>
      <Description>Locality name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000056</Code>
      <Description>State or Teritory Code contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000075" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000075</Code>
      <Description>Address Usage details invalid</Description>
      <LongDescription>The Address Usage details are not valid. Valid Address Usage codes are "RES" - Residential, "BUS" - Business and "POS" - Postal or correspondence address.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000077" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000077</Code>
      <Description>Residential address details are not valid for Non-individuals</Description>
      <LongDescription />
      <Location>pyde.02.01:AddressDetails.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000059" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUADDR.000058</Code>
      <Description>Facsimile numbers must not exceed 15 characters</Description>
      <LongDescription>For Facsimile numbers, the maximum allowable characters for this form is 15</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUADDR.000062" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000410</Code>
      <Description>Suburb/Town/City cannot contain numeric characters</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500000" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500000</Code>
      <Description>Suburb/Town/City must not contain numeric characters when an Australian address is provided</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500010</Code>
      <Description>Suburb/Town/City must not contain state code when an Australian address is provided</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500011</Code>
      <Description>State and postcode must not be present for non-Australian addresses</Description>      
      <LongDescription>Country name is present with State or postcode in the address field.  Determine whether the address is Australian or overseas and correct accordingly.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500018</Code>
      <Description>Address Line 1 must not exceed 38 characters</Description>
      <LongDescription>For Address Line 1, the maximum allowable characters for this form is 38</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500019</Code>
      <Description>Address Line 2 must not exceed 38 characters</Description>
      <LongDescription>For Address Line 2, the maximum allowable characters for this form is 38</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500020</Code>
      <Description>Suburb/Town/City must not exceed 27 characters</Description>
      <LongDescription>For Locality Name, the maximum allowable characters for this form is 27</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500026</Code>
      <Description>Address Line 1 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500027" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500027</Code>
      <Description>Address Line 2 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500028</Code>
      <Description>Suburb/Town/City contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!-- ********************************************************************
                                CUREL ERRORS
       ******************************************************************** -->
  
  <diagnostic id="DVR.ATO.CUREL.000041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUREL.000041</Code>
      <Description>Either Individual or non-individual name must be supplied</Description>
      <LongDescription>Either Individual or non-individual name must be supplied</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!-- ********************************************************************
                                CURNN ERRORS
       ******************************************************************** -->
  
  <diagnostic id="DVR.ATO.CURNN.000040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CURNN.000040</Code>
      <Description>Returns Not Necessary Code must be present</Description>
      <LongDescription></LongDescription>
      <Location>pyin.02.21:Lodgment.ReturnsNotNecessary.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
 
  <diagnostic id="DVR.ATO.CURNN.000041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CURNN.000041</Code>
      <Description>Invalid year provided</Description>
      <LongDescription>Value entered is not between years 1985 and 2014</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CURNN.000043" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CURNN.000043</Code>
      <Description>Only one year is permitted for Further Returns Not Necessary</Description>
      <LongDescription></LongDescription>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CURNN.000044" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CURNN.000044</Code>
      <Description>The maximum number of Years permitted is 20</Description>
      <LongDescription></LongDescription>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CURNN.000045" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CURNN.000045</Code>
      <Description>Relevant Year or Years must be present</Description>                   
      <LongDescription></LongDescription>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!-- ********************************************************************
                                CUEC ERRORS
       ******************************************************************** -->
  
  <diagnostic id="DVR.ATO.CUEC.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000001</Code>
      <Description>Facsimile Number must be provided when Facsimile Deletion Indicator is set to TRUE</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.Facsimile.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000002</Code>
      <Description>Mobile number must be provided when Mobile Deletion Indicator is set to TRUE</Description>
      <LongDescription />
      <Location>pyde.02.21:ElectronicContact.Telephone.Mobile.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUEC.000003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000003</Code>
      <Description>After Hours Telephone number must be provided when After Hours Telephone Deletion Indicator is set to TRUE</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000004</Code>
      <Description>Business Hours Telephone number must be provided when Business Hours Telephone Deletion Indicator is set to TRUE</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUEC.000005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000005</Code>
      <Description>Email Address must be provided when Email Deletion Indicator is set to TRUE</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUEC.000018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000018</Code>
      <Description>Your mobile phone number is incorrect</Description>
      <LongDescription>Your Australian mobile phone number should start with 04 and followed by 8 numeric characters</LongDescription>
      <Location>pyde.02.21:ElectronicContact.Telephone.Mobile.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUEC.000019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000019</Code>
      <Description>Your mobile phone number must be numeric</Description>
      <LongDescription>Your mobile number must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>pyde.02.21:ElectronicContact.Telephone.Mobile.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000058</Code>
      <Description>Entity identifier scheme for Reporting Party invalid</Description>
      <LongDescription>Entity identifier scheme for Reporting Party must be either “http://www.abr.gov.au/abn” or “http://www.ato.gov.au/tfn”</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000059" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000059</Code>
      <Description>Unexpected Scheme mismatch with Reporting Party</Description>
      <LongDescription>Scheme in entity identifier of context does not match the Scheme provided for the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000060" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000060</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000061" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000061</Code>
      <Description>Unexpected ABN mismatch with Reporting Party</Description>
      <LongDescription>ABN in entity identifier of context does not match the ABN provided for the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUEC.000075" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000075</Code>
      <Description>Your mobile phone number must not exceed 10 characters</Description>
      <LongDescription>For Your mobile phone number, the maximum allowable characters for this form is 10</LongDescription>
      <Location>pyde.02.21:ElectronicContact.Telephone.Mobile.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000086" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000086</Code>
      <Description>Invalid context. The number of Reporting Party Sequence Number contexts must not exceed 5.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000087" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000087</Code>
      <Description>Invalid context. The minimum number of Reporting Party Sequence Number contexts is 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000095" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000095</Code>
      <Description>Business Hours Telephone number is required, if Business Hours Telephone Area Code is provided</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000096" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000096</Code>
      <Description>After Hours Telephone number is required, if After Hours Telephone area code is provided</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000097" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000097</Code>
      <Description>Business Hours Telephone Area Code is required, if a Business Hours Telephone number is provided</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000098" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000098</Code>
      <Description>After Hours Telephone Area Code is required, if After Hours Telephone number is provided</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000099" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000099</Code>
      <Description>Report submission date must be present</Description>
      <LongDescription />
      <Location>pyin.02.00:Report.Submission.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000104" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000104</Code>
      <Description>Business Hours Telephone number must not exceed 15 characters</Description>
      <LongDescription>For Business Hours Telephone number, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000105" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000105</Code>
      <Description>After Hours Telephone number must not exceed 15 characters</Description>
      <LongDescription>For After Hours Telephone number, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000112" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000112</Code>
      <Description>Invalid context. The number of Reporting Party Sequence Number Business Hour contexts must not exceed 1</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000117" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000117</Code>
      <Description>Invalid context. The number of Reporting Party Sequence Number After Hour contexts must not exceed 1</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000120" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000120</Code>
      <Description>Email Address must not exceed 200 characters</Description>
      <LongDescription>For Email Address, the maximum allowable characters for this form is 200</LongDescription>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000122" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000477</Code>
      <Description>ABN is invalid</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000123" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500003</Code>
      <Description>Complete Individual details are required</Description>
      <LongDescription>For an individual, the following fields must be provided;  "Individual Family name", "Individual First given name", "Sex Code", "Date of Birth" and "Tax File Number".</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000124" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000124</Code>
      <Description>Complete Non-individual details are required</Description>
      <LongDescription>For a non-individual, the following fields must be provided; "Non-Individual Name" and either "Australian Business Number" or "Tax File Number".</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000126" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000126</Code>
      <Description>Contact details are invalid</Description>
      <LongDescription>One and only one of the following Contact details must be provided per instance: Email Address, Business Hours Telephone number, After Hours Telephone number, Mobile number or Facsimile Number</LongDescription>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000127" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000127</Code>
      <Description>Only allow one occurrence of a contact detail per role type</Description>
      <LongDescription />
      <Location>rvctc3.02.17:Tax.RoleType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000128" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000128</Code>
      <Description>Reporting Party Tax File Number has failed the algorithm check</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUEC.000129" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000129</Code>
      <Description>Role Type must be provided</Description>
      <LongDescription />
      <Location>rvctc3.02.17:Tax.RoleType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUEC.000141" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000141</Code>
      <Description>Invalid context. Sequence number must not be duplicated.</Description>
      <LongDescription>The Sequence number within the Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01_typedelement:SequenceNumberContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430222" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430222</Code>
      <Description>Email address must not start or end with an @ symbol</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.430223" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430223</Code>
      <Description>Email address must not contain more than one @ symbol</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.430224" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430224</Code>
      <Description>Email address must not start or end with a dot (.)</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.430226" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430226</Code>
      <Description>Email address must not contain more than one consecutive dots (..)</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.430227" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430227</Code>
      <Description>Email address must not contain a dot followed by a @ symbol (.@)</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.430228" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430228</Code>
      <Description>Email address must not contain a @ symbol followed by a dot (@.)</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.430231" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430231</Code>
      <Description>An email address must not start with a space or include a space within it</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.430232" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430232</Code>
      <Description>Email address must contain a dot (.)</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500005</Code>
      <Description>Facsimile number is required, if a Facimile area code is provided</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:ElectronicContact.Facsimile.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500007" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500007</Code>
      <Description>Facsimile area code is required, if a Facsimile number is provided</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:ElectronicContact.Facsimile.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500022" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500022</Code>
      <Description>Facsimile numbers must not exceed 15 characters</Description>
      <LongDescription>For Facsimile numbers, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Facsimile.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500029" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500029</Code>
      <Description>Email Address contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUEC.000057" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUEC.000057</Code>
      <Description>Invalid context. Intermediary ABN must not match Reporting Party ABN.</Description>
      <LongDescription />
      <Location>pyin.02.00:Report.Submission.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430230" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430230</Code>
      <Description>Email address must contain an @ symbol</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
    
  <!-- ********************************************************************
                                CUFI ERRORS
       ******************************************************************** -->

  <diagnostic id="DVR.ATO.CUFI.000042" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000042</Code>
      <Description>Account Number must not exceed 9 characters</Description>
      <LongDescription />
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUFI.000048" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000048</Code>
      <Description>Entity identifier scheme for Reporting Party invalid</Description>
      <LongDescription>Entity identifier scheme for Reporting Party must be either “http://www.abr.gov.au/abn” or “http://www.ato.gov.au/tfn”</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUFI.000122" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500009</Code>
      <Description>Reporting Party Tax File Number has failed the algorithm check</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUFI.000117" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000117</Code>
      <Description>Complete Individual details are required</Description>
      <LongDescription>For an individual, the following fields must be provided;  "Individual Family name", "Individual First given name", "Sex Code", "Date of Birth" and "Tax File Number".</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUFI.000121" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000121</Code>
      <Description>Complete Non-individual details are required</Description>
      <LongDescription>For a non-individual, the following fields must be provided; "Non-Individual Name" and either "Australian Business Number" or "Tax File Number"</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUFI.000118" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000118</Code>
      <Description>ICA (Integrated Client Account) is required when Role Type "AS" is provided</Description>
      <LongDescription />
      <Location>pyde.02.00:OrganisationDetails.OrganisationBranch.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUFI.000123" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000123</Code>
      <Description>ICA (Integrated Client Account) must not be present when Role Type "IT" is provided</Description>
      <LongDescription />
      <Location>pyde.02.00:OrganisationDetails.OrganisationBranch.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUFI.000017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000017</Code>
      <Description>BSB Number, Account Number and Account Name must be provided</Description>
      <LongDescription />
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUFI.000115" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000115</Code>
      <Description>Report Submission Date must be present</Description>
      <LongDescription />
      <Location>pyin.02.00:Report.Submission.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUFI.000052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000052</Code>
      <Description>Invalid context. Intermediary ABN must not match Reporting Party ABN.</Description>
      <LongDescription />
      <Location>pyin.02.00:Report.Submission.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUFI.000104" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000104</Code>
      <Description>The Registered Agent Number has failed the Tax Agent number algorithm check</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUFI.000046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000046</Code>
      <Description>Bank/State/Branch number invalid. Valid range is 012000 - 999999.</Description>
      <LongDescription />
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUFI.000116" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000116</Code>
      <Description>ABN is invalid</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.432041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432041</Code>
      <Description>Bank account name must not be longer than 32 characters</Description>
      <LongDescription>32 characters is the Banking Standard and set by the Banking Industry</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUFI.000044" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUFI.000044</Code>
      <Description>Account name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 &#x26; * ( ) - ' . / or a space character</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

	<diagnostic id="DVR.ATO.CUMAS.200028" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200028</Code>
			<Description>ABN is invalid</Description>
			<LongDescription />
			<Location>xbrli:entity/xbrli:identifier</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.CUMAS.200074" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200074</Code>
			<Description>Activity Statement Role Type is invalid</Description>
			<LongDescription>The Activity Statement Role Type is not valid. Valid Activity Statement Role Types are; "Goods and Services Tax (GST)", "Fuel Tax Credits (FTC)", "Pay as you go (PAYG) withholding", "Luxury Car Tax (LCT)", "Wine Equalisation Tax (WET)"</LongDescription>
			<Location>rvctc3.02.17:Tax.RoleType.Code</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100020</Code>
      <Description>The Declarer Reporting Party Australian Business number should be the same as the Reporting Party ABN</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100059" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100059</Code>
      <Description>Importing Percent is incorrect</Description>
      <LongDescription>When Main Luxury Car Tax Activity of "Importer" is provided, the Importing Percent must not be lower than the Manufacturing, Wholesale or Retailing percentages</LongDescription>
      <Location>rvctc3.02.20:LuxuryCarTax.Activity.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100109" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100109</Code>
      <Description>PAYG Reporting Method to ATO code is invalid</Description>
      <LongDescription>The PAYG Reporting Method to ATO code is not valid. Valid values are; "P" = Paper, "E" = Electronic, "PE" = Paper and Electronic.</LongDescription>
      <Location>pyin.02.25:Lodgment.Channel.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100122" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100122</Code>
      <Description>Main Employment Activity contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.23:OrganisationDetails.MainEmploymentActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100125" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100125</Code>
      <Description>Luxury Car Tax Effective Date must be on or after 01/07/2000</Description>
      <LongDescription />
      <Location>rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100126" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100126</Code>
      <Description>Luxury Car Tax details are required</Description>
      <LongDescription>Where Luxury Car Tax Effective Date is present, then Main Luxury Car Tax Activity, Annual Luxury Car Tax Liability Band and Luxury Car Tax on every activity statement are required</LongDescription>
      <Location>rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100132" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100132</Code>
      <Description>Manufacturing Percent must be numeric</Description>
      <LongDescription>Manufacturing Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>rvctc3.02.20:LuxuryCarTax.Manufacturing.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100227" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100227</Code>
      <Description>The Manufacturing Percent is not valid. Valid range is 0-100.</Description>
      <LongDescription />
      <Location>rvctc3.02.20:LuxuryCarTax.Manufacturing.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100134" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100134</Code>
      <Description>Manufacturing, Wholesale, Importing, and Retailing percentage amounts must equal 100</Description>
      <LongDescription />
      <Location>rvctc3.02.20:LuxuryCarTax.Activity.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100135" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100135</Code>
      <Description>Manufacturing Percent is incorrect</Description>
      <LongDescription>When Main Luxury Car Tax Activity of "Manufacturer" is provided, the Manufacturing Percent must not be lower than the Wholesale, Importing or Retailing percentages</LongDescription>
      <Location>rvctc3.02.20:LuxuryCarTax.Activity.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100136" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100136</Code>
      <Description>Wholesale Percent must be numeric</Description>
      <LongDescription>Wholesale Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>rvctc3.02.20:LuxuryCarTax.Wholesale.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100228" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100228</Code>
      <Description>The Wholesale Percent is not valid. Valid range is 0-100.</Description>
      <LongDescription />
      <Location>rvctc3.02.20:LuxuryCarTax.Wholesale.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100138" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100138</Code>
      <Description>Wholesale Percent is incorrect</Description>
      <LongDescription>When Main Luxury Car Tax Activity of "Wholesaler" is provided, the Wholesale Percent must not be lower than the Manufacturing, Importing or Retailing percentages</LongDescription>
      <Location>rvctc3.02.20:LuxuryCarTax.Activity.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100139" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100139</Code>
      <Description>Importing Percent must be numeric</Description>
      <LongDescription>Importing Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>rvctc3.02.20:LuxuryCarTax.Importing.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100229" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100229</Code>
      <Description>The Importing Percent is not valid. Valid range is 0-100.</Description>
      <LongDescription />
      <Location>rvctc3.02.20:LuxuryCarTax.Importing.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100141" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100141</Code>
      <Description>Retailing Percent must be numeric</Description>
      <LongDescription>Retailing Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>rvctc3.02.20:LuxuryCarTax.Retailing.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100230" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100230</Code>
      <Description>The Retailing Percent is not valid. Valid range is 0-100.</Description>
      <LongDescription />
      <Location>rvctc3.02.20:LuxuryCarTax.Retailing.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100238" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100238</Code>
      <Description>GST Effective Date must not be more than 6 months prior to the current date</Description>
      <LongDescription>When the GST Activity Statement Lodgment Frequency of "Annually" is provide, the GST Effective Date must not be more than 6 months prior to the current date</LongDescription>
      <Location>rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100239" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100239</Code>
      <Description>PAYG Effective Date must not be more than 6 months in advance of the current date</Description>
      <LongDescription />
      <Location>rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100148" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100148</Code>
      <Description>Wine Equalisation Tax Effective Date must be on or after 01/07/2000</Description>
      <LongDescription />
      <Location>rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100164" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100164</Code>
      <Description>Wine Percent must be numeric</Description>
      <LongDescription>Wine Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>rvctc3.02.20:WineEqualisationTax.Wine.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100165" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100165</Code>
      <Description>Wine Percent must not exceed 3 characters</Description>
      <LongDescription>For Wine Percent, the maximum allowable characters for this form is 3</LongDescription>
      <Location>rvctc3.02.20:WineEqualisationTax.Wine.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100166" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100166</Code>
      <Description>Beer Percent must be numeric</Description>
      <LongDescription>Beer Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>rvctc3.02.20:WineEqualisationTax.Beer.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100167" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100167</Code>
      <Description>Beer Percent must not exceed 3 characters</Description>
      <LongDescription>For Beer Percent, the maximum allowable characters for this form is 3</LongDescription>
      <Location>rvctc3.02.20:WineEqualisationTax.Beer.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100168" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100168</Code>
      <Description>Spirit Percent must be numeric</Description>
      <LongDescription>Spirit Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>rvctc3.02.20:WineEqualisationTax.Spirit.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100169" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100169</Code>
      <Description>Spirit Percent must not exceed 3 characters</Description>
      <LongDescription>For Spirit Percent, the maximum allowable characters for this form is 3</LongDescription>
      <Location>rvctc3.02.20:WineEqualisationTax.Spirit.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100170" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100170</Code>
      <Description>Other Percent must be numeric</Description>
      <LongDescription>Other Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>rvctc3.02.20:WineEqualisationTax.Other.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100171" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100171</Code>
      <Description>Other Percent must not exceed 3 characters</Description>
      <LongDescription>For Other Percent, the maximum allowable characters for this form is 3</LongDescription>
      <Location>rvctc3.02.20:WineEqualisationTax.Other.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100174" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100174</Code>
      <Description>Declarer Contact Name must not exceed 200 characters</Description>
      <LongDescription>For Declarer contact name, the maximum allowable characters for this form is 200</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100180" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100180</Code>
      <Description>Declaration Signatory Identifier text must be present</Description>
      <LongDescription />
      <Location>pyin.02.00:Declaration.SignatoryIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100208" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100208</Code>
      <Description>Retailing Percent is incorrect</Description>
      <LongDescription>When Main Luxury Car Tax Activity of "Retailer" is provided, the Retailing Percent must not be lower than the Manufacturing, Wholesale or Importing percentages</LongDescription>
      <Location>rvctc3.02.20:LuxuryCarTax.Activity.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100212" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100212</Code>
      <Description>Wine Equalisation Tax Activity codes and Percentage Amounts must be provided</Description>
      <LongDescription>When Wine Equalisation Tax Effective Date is present, Wine Equalisation Tax Activity codes and Percentage amounts must be provided</LongDescription>
      <Location>rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100213" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100213</Code>
      <Description>Main Luxury Car Tax Activity and Percentage amounts are required when Luxury Car Tax Effective Date is present.</Description>
      <LongDescription />
      <Location>rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100214" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100214</Code>
      <Description>The sum of wine equalisation tax percentages must not exceed 100 percent</Description>
      <LongDescription />
      <Location>rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100215" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100215</Code>
      <Description>Invalid context. Intermediary ABN must not match Reporting Party ABN.</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100231" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100231</Code>
      <Description>The details of a minimum of one Activity Statement Role Type must be provided</Description>
      <LongDescription>The details of at least one Activity Statement Role Type must be provided. The Activity Statement Role Types are; Goods and services tax (GST), Luxury car tax (LCT), Wine equalisation tax (WET), Pay as you go – withholding (PAYG-W), Fuel tax credit (FTC).</LongDescription>
      <Location>rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100232" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100232</Code>
      <Description>PAYG Effective Date must be provided</Description>
      <LongDescription>When Pay as you go (PAYG) witholding details are present, the PAYG Effective Date must be provided. Pay as you go (PAYG) witholding details include; Number of Employees, Estimated Annual Amount Withheld, PAYG Reporting Method to ATO, Payment Summary Provision Method, Investment Body, Industry Code, Main Business Activity and Main Employment Activity.</LongDescription>
      <Location>rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100233" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100233</Code>
      <Description>GST Effective Date must be provided</Description>
      <LongDescription>When Goods and Services Tax (GST) details are present, the GST Effective Date must be provided. Goods and Services Tax (GST) details include; GST Registration Type, Not for Profit Indicator, GST Turnover Amount, GST Activity Statement Lodgment Frequency, GST Accounting Method, Goods Importation Indicator and Email Address.</LongDescription>
      <Location>rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100234" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100234</Code>
      <Description>Fuel Tax Credits Effective Date must be provided</Description>
      <LongDescription>When Fuel Tax Credits (FTC) details are present, the Fuel Tax Credits Effective Date must be provided. Fuel Tax Credits (FTC) details include; Fuel Type and Gross Vehicle Mass Indicator.</LongDescription>
      <Location>rvctc3.02.20:FuelTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100235" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100235</Code>
      <Description>Luxury Car Tax Effective Date must be provided</Description>
      <LongDescription>When Luxury Car Tax (LCT) details are present, the Luxury Car Tax Effective Date must be provided. Luxury Car Tax (LCT) details include; Main Luxury Car Tax Activity, Manufacturing Percent, Wholesale Percent, Importing Percent, Retailing Percent, Annual Luxury Car Tax Liability Band and Luxury Car Tax on every activity statement.</LongDescription>
      <Location>rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100236" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100236</Code>
      <Description>Wine Equalisation Tax Effective Date must be provided</Description>
      <LongDescription>When Wine Equalisation Tax (WET) details are present, the Wine Equalisation Tax Effective Date must be provided. Wine Equalisation Tax (WET) details include; Wine Equalisation Tax Effective Date, Manufacturing Wine Equalisation Tax Activity, Wholesale Wine Equalisation Tax Activity, Importing Wine Equalisation Tax Activity, Exporter Wine Equalisation Tax Activity, Indirect Marketer Retailer Wine Equalisation Tax Activity, Wine Percentage, Beer Percentage, Spirit Percentage and Other Percentage.</LongDescription>
      <Location>rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100237" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100237</Code>
      <Description>Activity Statement Role Type is invalid for an individual</Description>
      <LongDescription>All Activity Statement Role Types are applicable for a business while only the "Pay as you go (PAYG) witholding" Activity Statement Role Type is applicable for an individual</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.200102" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.200102</Code>
      <Description>Declaration Signatory Identifier text must be present</Description>
      <LongDescription />
      <Location>pyin.02.00:Declaration.SignatoryIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.200118" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.200118</Code>
      <Description>Activity Statement Role Type is invalid for an individual</Description>
      <LongDescription>All Activity Statement Role Types are applicable for a business while only the "Pay as you go (PAYG) witholding" Activity Statement Role Type is applicable for an individual</LongDescription>
      <Location>rvctc3.02.17:Tax.RoleType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.200119" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.200119</Code>
      <Description>Reporting Party (Instant) period date is invalid</Description>
      <LongDescription>Invalid context. Period date of Reporting Party (Instant) must match period start date of Reporting Party.</LongDescription>
      <Location>xbrli:period/xbrli:instant</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.200120" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.200120</Code>
      <Description>Invalid context. The number of Reporting Party (Instant) contexts must not exceed 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  
  <diagnostic id="DVR.ATO.GEN.410128" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410128</Code>
      <Description>Declaration Statement Accepted Indicator must be 'TRUE'</Description>
      <LongDescription />
      <Location>pyin.02.00:Declaration.StatementAccepted.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500046</Code>
      <Description>Invalid context. The number of RP.TrueAndCorrect contexts must not exceed 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500047" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500047</Code>
      <Description>Invalid context. The number of Intermediary.TrueAndCorrect contexts must not exceed 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500051</Code>
      <Description>Entity identifier scheme for Intermediary.TrueAndCorrect must be "http://www.abr.gov.au/abn"</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500052</Code>
      <Description>Entity identifier scheme for ReportingParty.TrueAndCorrect must be "http://www.abr.gov.au/abn"</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500054" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500054</Code>
      <Description>Intermediary declarer Australian Business Number has failed the algorithm check</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500059" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500059</Code>
      <Description>Declarer position held of person making the declaration contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500060" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500060</Code>
      <Description>Contact telephone details must be provided</Description>
      <LongDescription>Declarer telephone area code and telephone number must be provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500061" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500061</Code>
      <Description>Telephone number is required, if an area code is provided</Description>
      <LongDescription>Declarer telephone number is required when Declarer telephone area code is provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500063" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500063</Code>
      <Description>Declarer Telephone number must not exceed 15 characters</Description>
      <LongDescription>For Declarer Telephone number, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500065" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500065</Code>
      <Description>Declarer tax agent number must not be present for Reporting Party</Description>
      <LongDescription>Declarer tax agent number is only applicable for an Intermediary tax agent</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxAgentNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500066" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430255</Code>
      <Description>Signature date must not be later than today</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500067" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.307004</Code>
      <Description>Declaration Signature Date is required</Description>
      <LongDescription>Intermediary or Report Party declaration signatory date is required</LongDescription>
      <Location>pyin.02.00:Declaration.Signature.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500068" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410078</Code>
      <Description>Declaration Statement Accepted Indicator must be present</Description>
      <LongDescription />
      <Location>pyin.02.00:Declaration.StatementAccepted.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500069" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500069</Code>
      <Description>Declarer identifier contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyin.02.00:Declaration.SignatoryIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>


  <!-- ********************************************************************
                                CUMAS ADD ERRORS
       ******************************************************************** -->

  <diagnostic id="DVR.ATO.CUMAS.100006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100006</Code>
      <Description>Complete Non-individual details are required</Description>
      <LongDescription>For a non-individual, the following fields must be provided; "Non-Individual Name" and either "Australian Business Number" or "Tax File Number"</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100011</Code>
      <Description>Complete Individual details are required</Description>
      <LongDescription>For an individual, the following fields must be provided;  "Individual Family name", "Individual First given name", "Sex Code", "Date of Birth" and "Tax File Number".</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100021" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100021</Code>
      <Description>Entity identifier scheme for Reporting Party invalid</Description>
      <LongDescription>Entity identifier scheme for Reporting Party must be either “http://www.abr.gov.au/abn” or “http://www.ato.gov.au/tfn”</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100023</Code>
      <Description>Fuel Tax Credit details must be present for Fuel Tax Credits Effective Date</Description>
      <LongDescription>Fuel Type and Gross Vehicle Mass Indicator must be present for Fuel Tax Credits Effective Date</LongDescription>
      <Location>rvctc3.02.20:FuelTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100048" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100048</Code>
      <Description>GST Registration details are required</Description>
      <LongDescription>Where GST Effective Date is present, then GST Registration Type, GST Turnover Amount, GST Activity Statement Lodgment Frequency, GST Accounting Method and Goods Importation Indicator are required</LongDescription>
      <Location>rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100057" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100057</Code>
      <Description>GST Effective Date must be no earlier than 1/7/2000</Description>
      <LongDescription />
      <Location>rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100058</Code>
      <Description>GST Effective Date must not be more than 6 months in advance of the current date</Description>
      <LongDescription />
      <Location>rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100072" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100072</Code>
      <Description>E-mail address must not exceed 200 characters</Description>
      <LongDescription>For the E-mail address, the maximum allowable characters for this form is 200</LongDescription>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100073" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100073</Code>
      <Description>Contact E-mail address contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * - = ' . ? / or a space character</LongDescription>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100074" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100074</Code>
      <Description>Email address must not start or end with an @ symbol</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100075" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100075</Code>
      <Description>Email address must not contain more than one @ symbol</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100076" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100076</Code>
      <Description>Email address must not start or end with a dot (.)</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100077" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100077</Code>
      <Description>Email address must not contain more than one consecutive dots (..)</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100078" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100078</Code>
      <Description>Email address must not contain a dot followed by a @ symbol (.@)</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100079" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100079</Code>
      <Description>Email address must not contain a @ symbol followed by a dot (@.)</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100080" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100080</Code>
      <Description>Email address must contain an @ symbol</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100081" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100081</Code>
      <Description>An email address must not start with a space or include a space within it</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100082" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100082</Code>
      <Description>Email address must contain a dot (.)</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100083" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100083</Code>
      <Description>Email Address must be present for GST Turnover Amount of $20 million and over</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100085" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100085</Code>
      <Description>Fuel Tax Credits Effective Date must not be before 1 July 2006</Description>
      <LongDescription />
      <Location>rvctc3.02.20:FuelTax.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100095" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100095</Code>
      <Description>PAYG Effective Date must be on or after 01/07/2000</Description>
      <LongDescription />
      <Location>rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100096" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100096</Code>
      <Description>Pay as you go (PAYG) details are required</Description>
      <LongDescription>When PAYG Effective Date is provided, the Number of Employees, Estimated Annual Amount Withheld (above zero), PAYG Reporting Method to ATO, Payment Summary Provision Method, Investment Body, Industry Code, Main Business Activity and Main Employment Activity details are required</LongDescription>
      <Location>rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100103" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100103</Code>
      <Description>Number of Employees must not exceed 7 characters</Description>
      <LongDescription>For the Number of Employees, the maximum allowable characters for this form is 7</LongDescription>
      <Location>lrla.02.10:LabourStatistics.Employees.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100106" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100106</Code>
      <Description>Estimated Annual Amount Withheld is not in a valid monetary format</Description>
      <LongDescription>Estimated Annual Amount Withheld must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.EstimatedTaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100119" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100119</Code>
      <Description>Main Business Activity must not exceed 200 characters</Description>
      <LongDescription>For Main Business Activity, the maximum allowable characters for this form is 200</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100120" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100120</Code>
      <Description>Main Business Activity contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100121" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100121</Code>
      <Description>Main Employment Activity must not exceed 200 characters</Description>
      <LongDescription>For Main Employment Activity, the maximum allowable characters for this form is 200</LongDescription>
      <Location>pyde.02.23:OrganisationDetails.MainEmploymentActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100194" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100194</Code>
      <Description>ABN is invalid</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CUMAS.100199" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100199</Code>
      <Description>Reporting Party Tax File Number has failed the algorithm check</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.CUMAS.100200" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.100200</Code>
      <Description>GST Registration type must be provided</Description>
      <LongDescription>When GST Registration Type details are provided, GST Registration Type must be present</LongDescription>
      <Location>rvctc3.02.20:GoodsAndServicesTax.RegistrationReason.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

	<diagnostic id="DVR.ATO.CUMAS.200019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.200019</Code>
      <Description>Entity identifier scheme for Reporting Party invalid</Description>
      <LongDescription>Entity identifier scheme for Reporting Party must be either “http://www.abr.gov.au/abn” or “http://www.ato.gov.au/tfn”</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

	<diagnostic id="DVR.ATO.CUMAS.200034" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200034</Code>
			<Description>Reporting Party Tax File Number has failed the algorithm check</Description>
			<LongDescription />
			<Location>xbrli:entity/xbrli:identifier</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>
	
	<diagnostic id="DVR.ATO.CUMAS.200006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CUMAS.200006</Code>
      <Description>Complete Non-individual details are required</Description>
      <LongDescription>For a non-individual, the following fields must be provided; "Non-Individual Name" and either "Australian Business Number" or "Tax File Number"</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

	<diagnostic id="DVR.ATO.CUMAS.200003" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200003</Code>
			<Description>Complete Individual details are required</Description>
			<LongDescription>For an individual, the following fields must be provided;  "Individual Family name", "Individual First given name", "Sex Code", "Date of Birth" and "Tax File Number".</LongDescription>
			<Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.CUMAS.200079" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200079</Code>
			<Description>Role Cancellation Date cannot be a future date</Description>
			<LongDescription />
			<Location>rvctc3.02.20:Tax.RoleRegistrationCancellation.Date</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.CUMAS.200042" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200042</Code>
			<Description>Role Cancellation Date must be provided when Activity Statement Role Type is present</Description>
			<LongDescription />
			<Location>rvctc3.02.20:Tax.RoleRegistrationCancellation.Date</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.CUMAS.200105" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200105</Code>
			<Description>Role Cancellation Date must be on or after 01/07/2000</Description>
			<LongDescription />
			<Location>rvctc3.02.20:Tax.RoleRegistrationCancellation.Date</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>
	
	<diagnostic id="DVR.ATO.CUMAS.200021" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200021</Code>
			<Description>Unexpected Scheme mismatch with Reporting Party</Description>
      <LongDescription>Scheme in entity identifier of context does not match the Scheme provided for the Reporting Party</LongDescription>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>	
  
	<diagnostic id="DVR.ATO.CUMAS.200022" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200022</Code>
			<Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>	
  
	<diagnostic id="DVR.ATO.CUMAS.200023" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200023</Code>
			<Description>Unexpected ABN mismatch with Reporting Party</Description>
      <LongDescription>ABN in entity identifier of context does not match the ABN provided for the Reporting Party</LongDescription>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>	
	
	<diagnostic id="DVR.ATO.CUMAS.200024" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200024</Code>
			<Description>Invalid context. Intermediary ABN must not match Reporting Party ABN.</Description>
			<LongDescription />
			<Location>xbrli:context</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>	

	<diagnostic id="DVR.ATO.CUMAS.200110" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200110</Code>
			<Description>GST Cancel Reason Code is required</Description>
      <LongDescription>When Activity Statement Role Type of "Goods and Services Tax (GST)" is provided, then a valid GST Cancel Reason Code is required. Valid GST Cancel Reason Codes are; "Never operated", "Ceased operating".</LongDescription>
			<Location>rvctc3.02.20:GoodsAndServicesTax.RegistrationCancellation.Code</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.CUMAS.200116" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200116</Code>
			<Description>GST Cancel Reason Code is invalid</Description>
      <LongDescription>When Activity Statement Role Type of "Fuel Tax Credits (FTC)", "Pay as you go (PAYG) withholding", "Luxury Car Tax (LCT)" or "Wine Equalisation Tax (WET)" is provided, the GST Cancel Reason Code is not required</LongDescription>
			<Location>rvctc3.02.20:GoodsAndServicesTax.RegistrationCancellation.Code</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.CUMAS.200117" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200117</Code>
			<Description>Role Cancellation Date must be on or after 01/07/2006</Description>
      <LongDescription>When Activity Statement Role Type of "Fuel Tax Credits (FTC)" is provided, Role Cancellation Date must be on or after 01/07/2006</LongDescription>
			<Location>rvctc3.02.20:Tax.RoleRegistrationCancellation.Date</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.CUMAS.200089" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.CUMAS.200089</Code>
			<Description>Declarer Contact Name must not exceed 200 characters</Description>
			<LongDescription>For Declarer contact name, the maximum allowable characters for this form is 200</LongDescription>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500037" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500037</Code>
			<Description>Declarer Contact Name contains invalid text</Description>
			<LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>
	
	<diagnostic id="DVR.ATO.GEN.500056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500056</Code>
      <Description>Declarer contact name must be provided</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
	
	<diagnostic id="DVR.ATO.GEN.500057" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500057</Code>
      <Description>Declarer Contact Name cannot contain space hyphen space combinations</Description>
      <LongDescription />
      <Severity>Error</Severity>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
    </ProcessMessage>
  </diagnostic>  
	
	
  <diagnostic id="DVR.ATO.GEN.500058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500058</Code>
      <Description>Declarer position must not exceed 50 characters</Description>
      <LongDescription>For Declarer position, the maximum allowable characters for this form is 50</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500062" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500062</Code>
      <Description>Area code is required, if a Telephone number is provided</Description>
      <LongDescription>Declarer daytime phone area code is required when Declarer daytime phone number is provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <!--*****************************************************************************************************-->
  <!--                                      DIRECT DEBIT ADD MESSAGES                                      -->
  <!--*****************************************************************************************************-->

  <!--
  <diagnostic id="DVR.ATO.DD.100003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100003</Code>
      <Description>Unexpected Scheme mismatch with Reporting Party</Description>
      <LongDescription>Scheme in entity identifier of context does not match the Scheme provided for the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  -->
  
  <diagnostic id="DVR.ATO.DD.100006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100006</Code>
      <Description>Complete Individual details are required</Description>
      <LongDescription>For an individual, the following fields must be provided;  "Individual Family name", "Individual First given name", "Date of Birth" and "Tax File Number"</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DD.100008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100008</Code>
      <Description>Individual Family name or Non-Individual Name must be present</Description>
      <LongDescription />
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100013" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100013</Code>
      <Description>Bank/State/Branch number must be provided</Description>
      <LongDescription />
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100014" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100014</Code>
      <Description>Bank/State/Branch number invalid. Valid range is 012000 - 999999.</Description>
      <LongDescription />
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100015</Code>
      <Description>Account Number must not exceed 9 characters</Description>
      <LongDescription>For Account Number, the maximum allowable characters for this form is 9</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100017</Code>
      <Description>Account Number must be provided</Description>
      <LongDescription />
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100038</Code>
      <Description>Amount must be provided</Description>
      <LongDescription />
      <Location>pyin.02.00:PaymentRecord.Payment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100039</Code>
      <Description>Direct Debt Role Type is invalid. The only valid code for this submission is IT.</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DD.100041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100041</Code>
      <Description>Entity identifier scheme for Reporting Party invalid</Description>
      <LongDescription>Entity identifier scheme for Reporting Party must be either “http://www.abr.gov.au/abn” or “http://www.ato.gov.au/tfn”</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100046</Code>
      <Description>ABN is invalid</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DD.100047" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100047</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  
  
  <diagnostic id="DVR.ATO.DD.100049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100049</Code>
      <Description>Unexpected ABN mismatch with Reporting Party</Description>
      <LongDescription>ABN in entity identifier of context does not match the ABN provided for the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  

  <diagnostic id="DVR.ATO.DD.100086" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100086</Code>
      <Description>Payment Date must be at least 3 days into the future from the current date</Description>
      <LongDescription />
      <Location>pyin.02.25:PaymentRecord.ArrangedPayment.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100088" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100088</Code>
      <Description>Payment Date must be provided</Description>
      <LongDescription />
      <Location>pyin.02.25:PaymentRecord.ArrangedPayment.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100089" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100089</Code>
      <Description>Account name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100090" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100090</Code>
      <Description>Account Name must be provided</Description>
      <LongDescription />
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100091" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100091</Code>
      <Description>Account name contains a leading space</Description>
      <LongDescription>The account name is preceded by a space, or contains only a space. Remove all leading spaces</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100092" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100092</Code>
      <Description>Payment Date must not be more than 90 days into the future from the current date</Description>
      <LongDescription />
      <Location>pyin.02.25:PaymentRecord.ArrangedPayment.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100093" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100093</Code>
      <Description>Amount is not in a valid monetary format</Description>
      <LongDescription>Amount must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>pyin.02.00:PaymentRecord.Payment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100094" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100094</Code>
      <Description>Amount of payment cannot be zero</Description>
      <LongDescription />
      <Location>pyin.02.00:PaymentRecord.Payment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DD.100058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500009</Code>
      <Description>Reporting Party Tax File Number has failed the algorithm check</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100097" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100097</Code>
      <Description>Complete Non-individual details are required</Description>
      <LongDescription>For a non-individual, the following fields must be provided; "Non-Individual Name" and either "Australian Business Number" or "Tax File Number"</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100098" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100098</Code>
      <Description>Direct Debit Role Type must be provided</Description>
      <LongDescription />
      <Location>rvctc3.02.20:Tax.RoleType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100210" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100210</Code>
      <Description>The Declarer Reporting Party Australian Business number should be the same as the Reporting Party ABN</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100211" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100211</Code>
      <Description>Invalid context. Intermediary ABN must not match Reporting Party ABN.</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.100226" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100226</Code>
      <Description>Declarer Contact Name must not exceed 200 characters</Description>
      <LongDescription>For Declarer contact name, the maximum allowable characters for this form is 200</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

<diagnostic id="DVR.ATO.DD.100234" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.100234</Code>
      <Description>Payment Date cannot occur on a weekend or national public holiday</Description>
      <LongDescription>Date from which direct debit is to be made must not occur on a weekend or Christmas Day, Boxing Day, New Year's Day, Australia Day, Good Friday, Easter Monday or Anzac Day</LongDescription>
      <Location>pyin.02.25:PaymentRecord.ArrangedPayment.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <!-- ********************************************************************
                                DD CANCEL ERRORS
       ******************************************************************** -->

  <diagnostic id="DVR.ATO.DD.200005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.200005</Code>
      <Description>Complete Individual details are required</Description>
      <LongDescription>For an individual, the following fields must be provided;  "Individual Family name", "Individual First given name", "Date of Birth" and "Tax File Number"</LongDescription>
        <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.200009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.200009</Code>
      <Description>Individual Family name or Non-Individual Name must be present</Description>
      <LongDescription />
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DD.200011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.200011</Code>
      <Description>Entity identifier scheme for Reporting Party invalid</Description>
      <LongDescription>Entity identifier scheme for Reporting Party must be either "http://www.abr.gov.au/abn" or "http://www.ato.gov.au/tfn"</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.200031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.200031</Code>
      <Description>Complete Non-individual details are required</Description>
      <LongDescription>For a non-individual, the following fields must be provided; "Non-Individual Name" and either "Australian Business Number" or "Tax File Number"</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DD.200042" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.200042</Code>
      <Description>Invalid context. Intermediary ABN must not match Reporting Party ABN.</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.DD.200046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.200046</Code>
      <Description>ABN is invalid</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  
  
    <diagnostic id="DVR.ATO.DD.200058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500009</Code>
      <Description>Reporting Party Tax File Number has failed the algorithm check</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.200076" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.200076</Code>
      <Description>Report Submission Date cannot be any day in the future</Description>
      <LongDescription/>
      <Location>pyin.02.00:Report.Submission.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.200078" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.200078</Code>
      <Description>Report Submission Date must be provided</Description>
      <LongDescription />
      <Location>pyin.02.00:Report.Submission.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.200090" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.200090</Code>
      <Description>Arrangement ID must be provided</Description>
      <LongDescription/>
      <Location>pyin.02.00:PaymentRecord.AgencyGeneratedReference.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.200092" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.200092</Code>
      <Description>Arrangement ID must not exceed 13 characters</Description>
      <LongDescription>For Arrangement ID, the maximum allowable length for this form is 13 characters</LongDescription>
      <Location>pyin.02.00:PaymentRecord.AgencyGeneratedReference.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.200093" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.200093</Code>
      <Description>Arrangement ID must be numeric</Description>
      <LongDescription>Arrangement ID must be a numeric field, values nnnnnnnnnnnnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>pyin.02.00:PaymentRecord.AgencyGeneratedReference.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.DD.200100" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DD.200100</Code>
      <Description>Date of Birth cannot be any day in the future</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
</diagnostics>